Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | Protected Attributes | List of all members
DistributedObjectUD Class Reference
Inheritance diagram for DistributedObjectUD:

## Public Member Functions
| __init__ (self, air)
| delete (self)
| getDeleteEvent (self)
| sendDeleteEvent (self)
| status (self, indent=0)
Public Member Functions inherited from DistributedObjectBase
| __init__ (self, cr)
| getLocation (self)
| getParentObj (self)
| handleChildArrive (self, childObj, zoneId)
| handleChildArriveZone (self, childObj, zoneId)
| handleChildLeave (self, childObj, zoneId)
| handleChildLeaveZone (self, childObj, zoneId)
| handleQueryObjectChildrenLocalDone (self, context)
| hasParentingRules (self)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
str | accountName = ''
| air = air
| dclass = self.air.dclassesByName[className]
int | DistributedObjectUD_initialized = 1
| lastNonQuietZone = None
Public Attributes inherited from DistributedObjectBase
| cr = cr
| doId
int | parentId = None
| zoneId = None

## Static Public Attributes
int | QuietZone = 1
Static Public Attributes inherited from DistributedObjectBase
| notify = directNotify.newCategory("DistributedObjectBase")
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask

## Protected Attributes
bool | _DOUD_requestedDelete = False
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Additional Inherited Members
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | air )

## Member Function Documentation

## ◆ delete()

delete | ( |  | self | ) |

    Inheritors should redefine this to take appropriate action on delete
    Note that this may be called multiple times if a class inherits
    from DistributedObjectUD more than once.

Reimplemented from DistributedObjectBase.

Reimplemented in DistributedObjectGlobalUD.

## ◆ getDeleteEvent()

getDeleteEvent | ( |  | self | ) |

## ◆ sendDeleteEvent()

sendDeleteEvent | ( |  | self | ) |

## ◆ status()

status | ( |  | self,
|  |  | indent = 0 )

    print out doId(parentId, zoneId) className
        and conditionally show generated or deleted

Reimplemented from DistributedObjectBase.

## Member Data Documentation

## ◆ _DOUD_requestedDelete

bool _DOUD_requestedDelete = False
| protected

## ◆ accountName

str accountName = ''

## ◆ air

air = air

## ◆ dclass

dclass = self.air.dclassesByName[className]

## ◆ DistributedObjectUD_initialized

int DistributedObjectUD_initialized = 1

## ◆ lastNonQuietZone

lastNonQuietZone = None

## ◆ QuietZone

int QuietZone = 1
| static